# PreSetStatusAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PreSetStatusAbAttr

#### Hierarchy (View Summary)

- AbAttr
  - PreSetStatusAbAttr
    - PreSetStatusEffectImmunityAbAttr

- Defined in src/data/ability.ts:3232

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreSetStatus
canApply
canApplyPreSetStatus
getCondition
getTriggerMessage

## Constructors

### constructor

- new PreSetStatusAbAttr(showAbility?: boolean): PreSetStatusAbAttr

  #### Parameters

  - showAbility: boolean = true

  #### Returns PreSetStatusAbAttr

  Inherited from AbAttr.constructor

  - Defined in src/data/ability.ts:187

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPreSetStatus

- applyPreSetStatus(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  effect: undefined | StatusEffect ,
  cancelled: BooleanHolder ,
  args: any[],
  ): void

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - effect: undefined | StatusEffect
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:3244

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from AbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPreSetStatus

- canApplyPreSetStatus(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  effect: undefined | StatusEffect ,
  cancelled: BooleanHolder ,
  args: any[],
  ): boolean

  Return whether the ability attribute can be applied

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - effect: undefined | StatusEffect
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  - Defined in src/data/ability.ts:3234

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201